%define version 0.6.5
%define release 1mdk

Summary:	Web page link validation program
Name:		gurlchecker
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Networking/WWW
URL:		http://www.nongnu.org/gurlchecker/
Buildroot:	%{_tmppath}/%{name}-%{version}-buildroot

# http://labs.libre-entreprise.org/download.php/84/%{name}-%{version}.tar.gz
Source:		%{name}-%{version}.tar.bz2

BuildRequires:	libglade2.0-devel
BuildRequires:	libgnomeui2-devel
BuildRequires:	ImageMagick

%description
gURLChecker is a that check links on a single web page or
on a whole web site in order to determine status of each page.

%prep
%setup -q

%build
%configure2_5x
%make

%install
rm -rf %{buildroot}
%makeinstall_std

# menu
mkdir -p %{buildroot}%{_menudir}
cat << _EOF_ > %{buildroot}%{_menudir}/%{name}
?package(%{name}): \
 command="%{_bindir}/%{name}" \
 icon="%{name}.png" \
 longtitle="Web page link checker" \
 needs="x11" \
 section="Internet/Other" \
 title="gURLChecker"
_EOF_

#icons
mkdir -p %{buildroot}%{_iconsdir} \
	 %{buildroot}%{_liconsdir} \
	 %{buildroot}%{_miconsdir}
convert -geometry 48x48 ui/gURLChecker_icon.png %{buildroot}%{_liconsdir}/%{name}.png
convert -geometry 32x32 ui/gURLChecker_icon.png %{buildroot}%{_iconsdir}/%{name}.png
convert -geometry 16x16 ui/gURLChecker_icon.png %{buildroot}%{_miconsdir}/%{name}.png

%find_lang %{name}

%clean
rm -rf %{buildroot}

%post
%update_menus

%postun
%clean_menus

%files -f %{name}.lang
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog NEWS README THANKS
%{_bindir}/*
%{_datadir}/%{name}
%{_menudir}/*
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_miconsdir}/%{name}.png

%changelog
* Sun Feb 15 2004 Abel Cheung <deaddog@deaddog.org> 0.6.5-1mdk
- New version

* Wed Feb 11 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.6.4-2mdk
- Fix menu entry

* Sun Jan 25 2004 Abel Cheung <deaddog@deaddog.org> 0.6.4-1mdk
- 0.6.4

* Tue Nov 18 2003 Abel Cheung <deaddog@deaddog.org> 0.6.3-1mdk
- 0.6.3

* Tue Sep 16 2003 Abel Cheung <deaddog@deaddog.org> 0.6.2-1mdk
- First Mandrake package
